<div style="margin-top: 20px;">
    <div class="container">
        <div class="col-md-1 offset-md-11">
            <button pButton type="button"
                icon="fa-plus"
                class="ui-button-primary btn-sm"
                (click)="newProspect = !newProspect">
            </button>
        </div>
        <div class="row maximum-width-p-list">
            <p-tabView>
                <p-tabPanel header="New">
                    <jhi-prospect-person-grid [idStatusType]="statusNew"></jhi-prospect-person-grid>
                </p-tabPanel>
                <p-tabPanel header="Low">
                    <jhi-prospect-person-grid [idStatusType]="statusLow"></jhi-prospect-person-grid>
                </p-tabPanel>
                <p-tabPanel header="Medium">
                    <jhi-prospect-person-grid [idStatusType]="statusMedium"></jhi-prospect-person-grid>
                </p-tabPanel>
                <p-tabPanel header="Hot">
                    <jhi-prospect-person-grid [idStatusType]="statusHot"></jhi-prospect-person-grid>
                </p-tabPanel>
            </p-tabView>
        </div>
    </div>
</div>
<div style="margin-top: 10px;"></div>


<p-dialog [(visible)]="newProspect" closable="true" responsive="true" modal="true">
    <p-header>
        Check Prospect Data
    </p-header>

    <div class="row">



            <div class="col-md-7 col-sm-7">
                <label class="form-control-label" jhiTranslate="mpmApp.person.name" >Nama</label>
                <div class="input-group">
                    <input type="text" class="form-control" name="name" 
                        [(ngModel)]="name">
                </div>
            </div>
        
            <div class="col-md-5 col-sm-5">
                <label class="form-control-label" jhiTranslate="mpmApp.person.cellPhone1" >No Telp</label>
                <div class="input-group">
                    <input type="text" class="form-control" name="cellPhone" 
                        [(ngModel)]="cellPhone" maxlength="13" jhiNumbers>
                </div>
            </div>

            
    </div>

    <p-footer>
        <button pButton type="button" label="Cancel" (click)="newProspect = !newProspect" icon="fa-times">
        </button>
        <button pButton type="button" 
                label="Find" 
                icon="fa-search"
                (click)="doCheckProspect()"
                [disabled]="name == null || cellPhone == null">
        </button>
         
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="findProspect" closable="true" responsive="true" modal="true">
    <p-header>
        Notifikasi
    </p-header>

    <div class="row">
        <div class="col-md-12">
            Prospect dengan data {{name}} dan {{cellPhone}} sudah ada di dalam system     
         </div>
    </div>

    <p-footer>
        <!-- <button pButton type="button" label="Edit" (click)="doEdit()" icon="fa-pencil"> -->
        </button>
        <button pButton type="button"
                (click)="doFollowUp()" 
                label="Follow Up"
                icon="fa-hand-o-right">
        </button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="findProspectOtherSales" closable="true" responsive="true" modal="true">
    <p-header>
        Notifikasi
    </p-header>

    <div class="row">
        <div class="col-md-12">
            Prospect dengan data {{name}} dan {{cellPhone}} sedang di follow up oleh {{salesFU}} 
         </div>
    </div>

    <p-footer>
        <!-- <button pButton type="button" label="Edit" (click)="doEdit()" icon="fa-pencil"> -->
        </button>
        <button pButton type="button"
                (click)="closeDialog()" 
                label="ok"
                icon="fa fa-thumbs-o-up">
        </button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="findPerson" closable="true" responsive="true" modal="true">
    <p-header>
        Notifikasi
    </p-header>

    <div class="row">
        <div class="col-md-12">
            Nomor {{cellPhone}} sudah ada di dalam system atas nama {{name}}
        </div>
    </div>

    <p-footer>
        </button>
        <button pButton type="button"
                (click)="backToFind()" 
                label="Kembali">
        </button>
    </p-footer>
</p-dialog>

<p-dialog [(visible)]="findNik" closable="true" responsive="true" modal="true">
        <p-header>
            Notifikasi
        </p-header>
    
        <div class="row">
            <div class="col-md-12">
            </div>
        </div>
    
        <p-footer>
            </button>
            <button pButton type="button"
                    (click)="backToFind()" 
                    label="Kembali">
            </button>
        </p-footer>
    </p-dialog>